<script>
	import { onMount } from 'svelte';
	import { browser } from '$app/env';
	import PizzaInput from '$lib/PizzaInput.svelte';
	import { get } from './api/pizzas';

	let pizzaPromise = new Promise(() => {});

	const reloadPizzas = (newPizza) => {
		if (browser)
			pizzaPromise = get();
	}

	onMount(reloadPizzas);
</script>

<div>
	{#if browser}
		<PizzaInput on:newPizza={reloadPizzas}/>
	{/if}

	{#await pizzaPromise}
		<p>loading...</p>
	{:then pizzas }
		<ul>
			{#each pizzas as pizza (pizza.id)}
				<li>{pizza.name}</li>
			{/each}
		</ul>
	{:catch error}
		<p>error! {error.message}</p>
	{/await}
</div>
